Skip to main content
GET
https://{tenantDomain}/api/v2
/
experimentation
/
experiments
/
{id}
Get an experiment by ID.
curl --request GET \
  --url https://{tenantDomain}/api/v2/experimentation/experiments/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "feature_flag_id": "<string>",
  "authentication_flow": "<string>",
  "allocation_strategy": "percentage",
  "assignment_config": {
    "subject": "device"
  },
  "status": "draft",
  "is_valid": true,
  "allocations": [
    {
      "variation_id": "<string>",
      "segment_id": "<string>",
      "weight": 123,
      "priority": 123,
      "is_control": true,
      "is_fallback": true
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "started_at": "2023-11-07T05:31:56Z",
  "ended_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://auth0.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The ID of the experiment to retrieve.

Response

Experiment successfully retrieved.

id
string
required
Pattern: ^exp_[A-HJ-NP-Za-km-z1-9]+$
name
string
required
feature_flag_id
string
required
authentication_flow
string
required
allocation_strategy
enum<string>
required
Available options:
percentage,
segment
assignment_config
object
required
status
enum<string>
required

Filter by status. Exact match.

Available options:
draft,
active,
paused,
completed,
archived
is_valid
boolean
required
allocations
object[]
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string
started_at
string<date-time>
ended_at
string<date-time>